<?php
include "../koneksi.php";

$date_return = $_POST['date_return'];
$customer = $_POST['customer'];
$detail_ekspedisi = $_POST['detail_ekspedisi'];
$packaging = $_POST['packaging'];
$sj = $_POST['sj'];
$qty = $_POST['qty'];
$qty2 = $_POST['qty2'];
$deskripsi = $_POST['deskripsi'];

if ($date_return == '') {
    $data['error']['date_return'] = 'Tanggal return tidak boleh kosong';
}
if ($customer == '') {
    $data['error']['customer'] = 'Customer Tidak Boleh Kosong';
}
if ($detail_ekspedisi == '') {
    $data['error']['ekspedisi'] = 'Supir Ekspedisi Tidak Boleh Kosong';
}
if ($packaging == '') {
    $data['error']['packaging'] = 'packaging tidak boleh kosong';
}

if (empty($data['error'])) {
    
		$query = "insert INTO `return` SET
										Date_Return = '$date_return',
										DetailEkspedisi_ID = '$detail_ekspedisi',
										CustomerID = '$customer',
										SJ_Return = '$sj',
										Packaging = '$packaging',
										Qty = '$qty',
										Qty2 = '$qty2',
										Deskripsi = '$deskripsi'
										";

		mysqli_query($koneksi, $query)
		or die ("Gagal Perintah SQL".mysql_error());
		
    $data['hasil'] = 'sukses';
    
} else {
    
    $data['hasil'] = 'gagal';
}

echo json_encode($data);

?>

